# urbanMicroclimateFoam

An open-source solver for coupled physical processes modeling urban microclimate based on OpenFOAM.

Source code for the solver code can be downloaded from [here](https://gitlab.ethz.ch/openfoam-cbp/solvers/urbanmicroclimatefoam)

The solver is tested for the following OpenFOAM versions:

* OpenFOAM-org (OpenFOAM Foundation) v6, v7, v8

### Usage

You can use the tutorial cases for a specific OpenFOAM version by checking out the commit with corresponding tag. For example, for OpenFOAM v8:

    git clone https://gitlab.ethz.ch/openfoam-cbp/tutorials/urbanmicroclimatefoam.git urbanmicroclimatefoam-tutorial
    cd urbanmicroclimatefoam-tutorial
    git checkout tags/of-org_v8.0

See the list of tags for different versions [here](https://gitlab.ethz.ch/openfoam-cbp/tutorials/urbanmicroclimatefoam/-/tags)

